/* $Id: WfCreateProcessEvent.java,v 1.1 2007/10/29 02:55:36 nito Exp $
 *
 * Copyright (c)ARGO 21, Corporation. 2005, 2006.  All rights reserved.
 * 
 * This file is part of Nautica Workflow Core.
 * 
 *  Nautica Workflow Core is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow Core is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Nautica Workflow Core; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 */
package jp.co.argo21.nautica.workflow.omg;

/**
 * プロセス生成イベントを表す。
 *
 * @author  nito(Argo 21, Corp.)
 * @version $Revision: 1.1 $
 * @since   Nautica Workflow 1.0
 */
public interface WfCreateProcessEvent extends WfEvent
{
	/**
	 * アクティビティIDを返す。
	 *
	 * @return アクティビティID
	 * @throws WorkflowException　ワークフロー関連で例外が発生した場合
	 * @see jp.co.argo21.nautica.workflow.omg.WfEvent#getActivityID()
	 */
	public String getActivityID() throws WorkflowException;

	/**
	 * プロセスIDを返す。
	 *
	 * @return プロセスID
	 * @throws WorkflowException　ワークフロー関連で例外が発生した場合
	 * @see jp.co.argo21.nautica.workflow.omg.WfEvent#getProcessID()
	 */
	public String getProcessID() throws WorkflowException;

	/**
	 * プロセス名を返す。
	 *
	 * @return プロセス名
	 * @throws WorkflowException　ワークフロー関連で例外が発生した場合
	 * @see jp.co.argo21.nautica.workflow.omg.WfEvent#getProcessName()
	 */
	public String getProcessName() throws WorkflowException;

	/**
	 * プロセスマネージャ名を返す。
	 *
	 * @return プロセスマネージャ名
	 * @throws WorkflowException　ワークフロー関連で例外が発生した場合
	 * @see jp.co.argo21.nautica.workflow.omg.WfEvent#getProcessManagerName()
	 */
	public String getProcessManagerName() throws WorkflowException;

	/**
	 * プロセスマネージャのバージョンを返す。
	 *
	 * @return プロセスマネージャのバージョン
	 * @throws WorkflowException　ワークフロー関連で例外が発生した場合
	 * @see jp.co.argo21.nautica.workflow.omg.WfEvent#getProcessManagerVersion()
	 */
	public String getProcessManagerVersion() throws WorkflowException;
}
