/* $Id: ToolAgentHandleCreator.java,v 1.1 2007/10/29 02:55:37 nito Exp $
 *
 * Copyright (c)ARGO 21, Corporation. 2005, 2006.  All rights reserved.
 * 
 * This file is part of Nautica Workflow Core.
 * 
 *  Nautica Workflow Core is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow Core is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Nautica Workflow Core; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 */
package jp.co.argo21.nautica.workflow.ta;

import jp.co.argo21.nautica.workflow.omg.WorkflowException;
import jp.co.argo21.nautica.workflow.util.StringManager;
import jp.co.argo21.nautica.workflow.util.UniqueKeyGenerator;

/**
 * ツールエージェントハンドラ（＝実行ID）を生成するジェネレータです。
 *
 * @author  kiyoda(Argo 21, Corp.)
 * @version $Revision: 1.1 $
 * @since   Nautica Workflow 1.0
 */
public class ToolAgentHandleCreator {

    /** ツールエージェントハンドラのシーケンスキー */
    private static final String SEQKEY = "TOOLAGENT";
    
    /**
     * デフォルトコンストラクタ
     */
    private ToolAgentHandleCreator() {
        super();
    }
    
    /**
     * ツールエージェントハンドラを生成する。
     *
     * @return	ツールエージェントハンドラ
     * @throws	WorkflowException ツールエージェントハンドラ取得時にエラーが発生した場合
     */
    public static int generate() throws WorkflowException
    {
        int handler = 0;
        
		try {
			handler = UniqueKeyGenerator.generateForInt(SEQKEY);
		} catch (Exception ex) {
			throw new WorkflowException(StringManager.get("E2007"), ex);
		}
        return handler;
    }
    
}
